/* ==========================================================================
* 작 성 자 : 이순규
* 작 성 일 : 2007.07.11
* 내    용 : 이미지 폰트
* 주의사항 : 
*===========================================================================*/
#pragma once

#include "UIImage.h"

/// 이미지 폰트
class cUIImageFont : cUIImage
{
public:
	cUIImageFont( NiTexture* tex, unsigned int texX, unsigned int texY, unsigned int charWidth, unsigned int charHeight );
	virtual ~cUIImageFont();

	/// 렌더링
	void DrawText( unsigned int x, unsigned int y, const char* text );

	/// 문자열
	unsigned int GetTextWidth( unsigned int num ) const;
	unsigned int GetTextHeight() const;

protected:
	unsigned int mTexX;
	unsigned int mTexY;
	unsigned int mCharWidth;
	unsigned int mCharHeight;
};

inline unsigned int cUIImageFont::GetTextHeight() const
{
	return mCharHeight;
}
